class WikiPagesController < ApplicationController
  def show
    wiki_page = WikiPage.find_by(title: params[:title])
    if wiki_page
      render plain: wiki_page.markdown
    else
      head :not_found
    end
  end

  def create
    return head :unauthorized unless current_user

    wiki_page = WikiPage.new(title: params[:title], tag_id: params[:tag_id], created_user: current_user, updated_user: current_user)
    wiki_page.markdown = params[:markdown], user: current_user
    if wiki_page.save
      render json: wiki_page, status: :created
    else
      render json: { errors: wiki_page.errors.full_messages }, status: :unprocessable_entity
    end
  end

  def update
    return head :unauthorized unless current_user

    wiki_page = WikiPage.find(params[:id])
    return head :not_found unless wiki_pages

    wiki_page.updated_user = current_user
    wiki_page.markdown = params[:markdown], user: current_user
    wiki_page.save!
    head :ok
  end
end
